#include "dialogeditgroup.h"
#include "computersLocations.h"

DialogEditGroup::DialogEditGroup(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::DialogEditGroup),
    groupInput()
{
    ui->setupUi(this);
}

DialogEditGroup::~DialogEditGroup()
{
    delete ui;
}

void DialogEditGroup::setGroup(Group group)
{
    groupInput = group;

    ui->editName->setText(group.getName());
}

Group DialogEditGroup::getGroup()
{
    Group group = groupInput;

    group.setName(ui->editName->text());

    return group;
}
